package com.alibaba.druid.sql.builder;

import com.alibaba.druid.sql.ast.statement.SQLSelectStatement;

public interface SQLSelectBuilder {
   SQLSelectStatement getSQLSelectStatement();

   SQLSelectBuilder select(String... var1);

   SQLSelectBuilder selectWithAlias(String var1, String var2);

   SQLSelectBuilder from(String var1);

   SQLSelectBuilder from(String var1, String var2);

   SQLSelectBuilder orderBy(String... var1);

   SQLSelectBuilder groupBy(String var1);

   SQLSelectBuilder having(String var1);

   SQLSelectBuilder into(String var1);

   SQLSelectBuilder limit(int var1);

   SQLSelectBuilder limit(int var1, int var2);

   SQLSelectBuilder where(String var1);

   SQLSelectBuilder whereAnd(String var1);

   SQLSelectBuilder whereOr(String var1);

   String toString();
}
